package cn.hnthyy.thmz.enums;

import java.util.Arrays;
import java.util.List;

/**
 *  0-个人模板  1-科室模板 2-全院模板
 */
public enum TemplateTypeEnum {
    PERSONAL_TEMPLATE(0,"个人模板"),
    SECTION_TEMPLATE(1,"科室模板"),
    partial_template(2,"全院模板");

    public Integer code;
    public String name;

    TemplateTypeEnum(Integer code, String name){
        this.code=code;
        this.name=name;
    }

    /**
     * 根据编码查询对应的类型
     * @param code
     * @return
     */
    public static TemplateTypeEnum geteTemplateTypeByCode(Integer code){
        List<TemplateTypeEnum> classCodeEnums= Arrays.asList(values());
        for (TemplateTypeEnum classCode:classCodeEnums){
            if(classCode.code.equals(code)){
                return classCode;
            }
        }
        return null;
    }
}
